- Qt 6.5
- Qt 3D
- C++ Classes
- Qt3DCore
- QCoreSettings
- Qt 6.5.1 Reference Documentation

# QCoreSettings Class

class Qt3DCore::QCoreSettings

The QCoreSettings class holds settings related to core data handling process. More...

Header: | #include <QCoreSettings>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3dcore) target_link_libraries(mytarget PRIVATE Qt6::3dcore)
qmake: | QT += 3dcore
Since: | Qt 6.0
Instantiated By: | CoreSettings
Inherits: | Qt3DCore::QComponent

- List of all members, including inherited members

## Properties

- boundingVolumesEnabled : bool

## Public Functions

| QCoreSettings(Qt3DCore::QNode *parent = nullptr)
bool | boundingVolumesEnabled() const

## Public Slots

void | setBoundingVolumesEnabled(bool boundingVolumesEnabled)

## Signals

void | boundingVolumesEnabledChanged(bool boundingVolumesEnabled)

## Detailed Description

The QCoreSettings component should be set as a component of the scene root entity (although it could be anywhere in the scene graph). There should be a single instance.

It can be used to control some of Qt 3D's behavior.

## Property Documentation

### boundingVolumesEnabled : bool

Holds whether bounding volumes handling is enabled. This is true by default. Disabling this allows to reduce the amount of computations performed each frame. If you are using picking or frustum culling you should keep this enabled (even when providing explicit bounding volumes sizes using QBoundingVolume).

Access functions:

bool | boundingVolumesEnabled() const
void | setBoundingVolumesEnabled(bool boundingVolumesEnabled)

Notifier signal:

void | boundingVolumesEnabledChanged(bool boundingVolumesEnabled)

## Member Function Documentation

### `[explicit]` QCoreSettings::QCoreSettings(Qt3DCore::QNode *parent = nullptr)

Constructs a new QCoreSettings with parent.